Bug 833224 - [abrt] kde-workspace-4.8.3-3.fc17: KCrash::defaultCrashHandler: Process /usr/bin/plasma-desktop was killed by signal 11 (SIGSEGV)
[abrt] kde-workspace-4.8.3-3.fc17: KCrash::defaultCrashHandler: Process /usr/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdeplasma-addons (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
abrt_hash:a41f530c28bb983fabef9702e06...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 19:07 EDT by sahinsureyya
Modified: 2013-08-01 05:23 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 05:23:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: build_ids (9.89 KB, text/plain)
2012-06-18 19:07 EDT, sahinsureyya
no flags Details
File: dso_list (23.66 KB, text/plain)
2012-06-18 19:07 EDT, sahinsureyya
no flags Details
File: backtrace (46.13 KB, text/plain)
2012-06-18 19:07 EDT, sahinsureyya
no flags Details
File: maps (124.84 KB, text/plain)
2012-06-18 19:07 EDT, sahinsureyya
no flags Details

  None (edit)
Description sahinsureyya 2012-06-18 19:07:35 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/plasma-desktop --nocrashhandler
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/plasma-desktop
kernel:         3.4.2-4.fc17.x86_64
pid:            2050
pwd:            /home/ss/Documents
time:           Mon 18 Jun 2012 06:04:51 PM EDT
uid:            1000
username:       ss
var_log_messages: Jun 18 18:04:53 tux abrt[2081]: Saved core dump of pid 2050 (/usr/bin/plasma-desktop) to /var/spool/abrt/ccpp-2012-06-18-18:04:51-2050 (97615872 bytes)

backtrace:      Text file, 47234 bytes
build_ids:      Text file, 10127 bytes
dso_list:       Text file, 24231 bytes
maps:           Text file, 127837 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/ss/1

core_backtrace:
:73777e822e00ca152ffca281ab0ace0cb498ec48 0xeebb raise libpthread.so.0 -
:c000524fb9462a894ea16f5785f8645bfec80def 0x2a4167 KCrash::defaultCrashHandler(int) libkdeui.so.5 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:SSH_AGENT_PID=923
:HOSTNAME=tux
:DM_CONTROL=/var/run/xdmctl
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDM_MANAGED=method=classic,auto
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/ss/.gtkrc-2.0:/home/ss/.gtkrc-2.0-kde4:/home/ss/.kde/share/config/gtkrc-2.0
:GS_LIB=
:KDE_FULL_SESSION=true
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=ss
:XCURSOR_SIZE=0
:SSH_AUTH_SOCK=/tmp/ssh-NgzgEvveN762/agent.762
:MAIL=/var/spool/mail/ss
:DESKTOP_SESSION=default
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/ss/.local/bin:/home/ss/bin
:QT_IM_MODULE=xim
:PWD=/home/ss
:XMODIFIERS=@im=none
:KDE_SESSION_UID=1000
:KDE_IS_PRELINKED=1
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/ss
:KDE_SESSION_VERSION=4
:XCURSOR_THEME=ComixCursors-Black-Small
:LOGNAME=ss
:CVS_RSH=ssh
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-sCzVVPod5S,guid=684d1c18c79bb59eeb687d070000001e
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/ss
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/ss/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:GTK_IM_MODULE=gtk-im-context-simple
:CCACHE_HASHDIR=
:XAUTHORITY=/tmp/kde-ss/xauth-1000-_0
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1099,unix/unix:/tmp/.ICE-unix/1099
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/ss/.gtkrc:/home/ss/.kde/share/config/gtkrc

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 28273                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       28273                28273                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:pipe:[18312]
:pos:	0
:flags:	00
:1:/home/ss/.xsession-errors
:pos:	189434
:flags:	0100001
:2:/home/ss/.xsession-errors
:pos:	189434
:flags:	0100001
Comment 1 sahinsureyya 2012-06-18 19:07:39 EDT
Created attachment 592773 [details]
File: build_ids
Comment 2 sahinsureyya 2012-06-18 19:07:43 EDT
Created attachment 592774 [details]
File: dso_list
Comment 3 sahinsureyya 2012-06-18 19:07:45 EDT
Created attachment 592775 [details]
File: backtrace
Comment 4 sahinsureyya 2012-06-18 19:07:48 EDT
Created attachment 592776 [details]
File: maps
Comment 5 Rex Dieter 2012-06-18 21:27:07 EDT
#3  MediaButtons::serviceOwnerChanged (this=this@entry=0x1863670, name=..., oldOwner=..., newOwner=...) at /usr/src/debug/kdeplasma-addons-4.8.3/applets/icontasks/mediabuttons.cpp:190
Comment 6 Fedora End Of Life 2013-07-03 22:47:26 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 05:23:51 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.